## napari-console 0.1.0~a0

=== debian/changelog ===
napari-console (0.1.0~a0-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 22 Oct 2024 13:48:57 +0200

napari-console (0.1.0~a0-2) unstable; urgency=low

  * Don't ship testsuite, especially in a place where it'll cause conflicts.

 -- Roland Mas <lolando@debian.org>  Sun, 22 Sep 2024 18:46:33 +0200

napari-console (0.1.0~a0-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 then tweaked by
    hand.

 -- Roland Mas <lolando@debian.org>  Sun, 22 Sep 2024 16:35:02 +0200

=== debian/watch ===
version=4
# try also https://pypi.debian.net/napari-console/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/napari-console/napari-console-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## napari-console 0.1.3

=== debian/changelog ===
napari-console (0.1.3-5) unstable; urgency=medium

  * Increase testsuite timeout some more to cope with slow arches.

 -- Roland Mas <lolando@debian.org>  Mon, 12 May 2025 07:41:34 +0200

napari-console (0.1.3-4) unstable; urgency=medium

  * Remove pid files with start-stop-daemon.
  * Use dh-sequence-python3.

 -- Roland Mas <lolando@debian.org>  Thu, 08 May 2025 16:45:35 +0200

napari-console (0.1.3-3) unstable; urgency=medium

  * Clean temporary pid files after build.

 -- Roland Mas <lolando@debian.org>  Thu, 08 May 2025 16:05:00 +0200

napari-console (0.1.3-2) unstable; urgency=medium

  * Run testsuite with a window manager (closes: #1102595).

 -- Roland Mas <lolando@debian.org>  Thu, 08 May 2025 15:58:30 +0200

napari-console (0.1.3-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: Handle slight PyPI URL change.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 01 Jan 2025 00:39:48 +0000

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --test-pytest

export DISPLAY=:99.0
execute_before_dh_auto_test:
	/sbin/start-stop-daemon --start --quiet --pidfile $(CURDIR)/custom_xvfb.pid --make-pidfile --background --exec /usr/bin/Xvfb -- :99
	/sbin/start-stop-daemon --start --quiet --pidfile $(CURDIR)/custom_herbstluftwm.pid --make-pidfile --background --exec /usr/bin/herbstluftwm -- --replace

execute_after_dh_auto_test:
	/sbin/start-stop-daemon --stop --quiet --pidfile $(CURDIR)/custom_herbstluftwm.pid --remove-pidfile || true
	/sbin/start-stop-daemon --stop --quiet --pidfile $(CURDIR)/custom_xvfb.pid --remove-pidfile || true

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cp -r napari_console/_tests "$AUTOPKGTEST_TMP" || true
 ; cd "$AUTOPKGTEST_TMP"
 ; export DISPLAY=:99.0
 ; XDG_BASE="$AUTOPKGTEST_TMP/.xdg"
 ; export XDG_CACHE_HOME="$XDG_BASE/cache"
 ; export XDG_DATA_HOME="$XDG_BASE/data"
 ; export XDG_CONFIG_HOME="$XDG_BASE/config"
 ; export XDG_STATE_HOME="$XDG_BASE/state"
 ; /sbin/start-stop-daemon --start --quiet --pidfile $AUTOPKGTEST_TMP/custom_xvfb.pid --make-pidfile --background --exec /usr/bin/Xvfb -- :99
 ; /sbin/start-stop-daemon --start --quiet --pidfile $AUTOPKGTEST_TMP/custom_herbstluftwm.pid --make-pidfile --background --exec /usr/bin/herbstluftwm -- --replace
 ; echo "Testing with $py:"
 ; $py -m pytest --verbosity=2
 ; /sbin/start-stop-daemon --stop --quiet --pidfile $AUTOPKGTEST_TMP/custom_herbstluftwm.pid --remove-pidfile || true
 ; /sbin/start-stop-daemon --stop --quiet --pidfile $AUTOPKGTEST_TMP/custom_xvfb.pid --remove-pidfile || true
 ; done
Depends:
 herbstluftwm,
 python3-napari,
 python3-pytest,
 python3-pytestqt,
 xvfb,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4
# try also https://pypi.debian.net/napari-console/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/napari-console/napari[-_]console-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## napari-console 0.1.4

=== requirements.txt ===
ipykernel>=5.2.0
IPython>=7.7.0
napari-plugin-engine>=0.1.9
qtconsole>=4.5.1,!=4.7.6,!=5.4.2
qtpy>=1.7.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/napari-cookiecutterplugin_name.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/napari-cookiecutterplugin_name.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/napari-cookiecutterplugin_name"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/napari-cookiecutterplugin_name"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
napari-console (0.1.4-2) unstable; urgency=medium

  * Update debian/watch
  * Add Build-Depends: dbus-daemon to help with tests.
  * Building with more recent versions of napari fixes Python 3.14
    compatibility (closes: #1123522).

 -- Roland Mas <lolando@debian.org>  Sun, 15 Feb 2026 16:38:37 +0100

napari-console (0.1.4-1) unstable; urgency=medium

  * New upstream release.
  * This fixes: "TypeError: get_theme() got an unexpected keyword argument
    'as_dict'", thanks to roehling@debian.org</a>; (Closes: #1114703).

 -- Roland Mas <lolando@debian.org>  Sun, 26 Oct 2025 19:08:12 +0100

=== debian/control ===
Source: napari-console
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Build-Depends:
 dbus-daemon <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-python3,
 herbstluftwm <!nocheck>,
 ipython3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-imageio,
 python3-ipykernel,
 python3-napari,
 python3-numpy,
 python3-pytest,
 python3-pytestqt,
 python3-qtconsole,
 python3-setuptools,
 python3-setuptools-scm,
 xvfb <!nocheck>,
Standards-Version: 4.6.2.0
Vcs-Git: https://salsa.debian.org/python-team/packages/napari-console.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/napari-console
Rules-Requires-Root: no

Package: python3-napari-console
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: console plugin for napari
 A plugin that adds a console to napari

=== debian/watch ===
Version: 5

Template: Github
Owner: napari
Project: napari-console
Uversion-Mangle: s/(rc|a|b|c)/~$1/
